Name:		wlassistant
Version:	0.5.7
Release:	28%{?dist}
License:	GPLv2+
Group:		Applications/System
Summary:	Wireless network management tool
URL:		http://wlassistant.sourceforge.net
Source0:	http://download.sourceforge.net/wlassistant/wlassistant-%{version}.tar.bz2
Source1:	wlassistant.console_apps
Source2:	wlassistant.pamd
Source3:	wlassistant.desktop
BuildRequires:	kdelibs3-devel, desktop-file-utils, wireless-tools-devel, scons
BuildRequires:	gettext
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires:       usermode, wireless-tools, net-tools, dhclient, pam
Patch0:		wlassistant-0.5.5-rpath.patch
Patch1:		wlassistant-0.5.7-fd_cloexec.patch
Patch2:		wlassistant-0.5.7-fix_scons_chmod_error.patch
Patch3:		wlassistant-0.5.7-inline.patch
Patch4:		wlassistant-0.5.7-fix-implicit-DSO-kdecore.patch

%description
Wireless Assistant (wlassistant) is a small application that allows you to 
connect to wireless networks.

MAIN FEATURES:
- WPA-PSK Encryption Support (WPA/WPA2)
- WEP Encryption Support
- Not Broadcasted ("hidden") ESSIDs Support
- Per Network (AP) Configuration Profiles
- Automatic (DHCP, both dhcpcd and dhclient) and manual configuration options.
- Connection status monitoring

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .gcc44
%patch4 -p1 -b .DSO

%build
PARSED_OPT_FLAGS=`echo \'$RPM_OPT_FLAGS\' | sed "s/ /',/g" | sed "s/',/', '/g"`
sed -i "s|'-O2'|[$PARSED_OPT_FLAGS]|" bksys/generic.py
./configure
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="install -p"
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -p -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/wlassistant
install -p -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/wlassistant

rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/wlassistant.desktop

desktop-file-install  \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--add-category X-Fedora \
	%{SOURCE3}

%find_lang %{name}

# We're going to use consolehelper, since this is a GUI app.
cd $RPM_BUILD_ROOT%{_sbindir}/
ln -s /usr/bin/consolehelper wlassistant

%post
update-desktop-database %{_datadir}/applications &> /dev/null

%postun
if [ "$1" = "0" ]; then
  update-desktop-database %{_datadir}/applications &> /dev/null
fi

%files -f %{name}.lang
%doc doc/AUTHORS doc/COPYING doc/README doc/NEWS doc/TODO ChangeLog
%config(noreplace) %{_sysconfdir}/pam.d/wlassistant
%config(noreplace) %{_sysconfdir}/security/console.apps/wlassistant
%{_bindir}/wlassistant
%{_sbindir}/wlassistant
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/wlassistant.png
%{_datadir}/icons/hicolor/32x32/apps/wlassistant.png

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 20 2017 Tom Callaway <spot@fedoraproject.org> - 0.5.7-25
- fix desktop file (resolves FTBFS)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.5.7-21
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 10 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 0.5.7-17
- Remove vendor tag from desktop file as per https://fedorahosted.org/fesco/ticket/1077
- Cleanup spec as per recently changed packaging guidelines

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-15
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.5.7-12
- fix implicit DSO linking issue with kdecore

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 13 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.5.7-10
- prevent iwlib from monkeying around with inline define

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jun  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.7-8
- fix scons chmod error (resolve FTBFS)

* Tue Mar 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.7-7
- fix BuildRequires for kdelibs3-devel

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.7-6
- Autorebuild for GCC 4.3

* Sat Nov 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.7-5
- fix pam file to use console-apps pam tree, instead of its own
  resolves 243240, 306041

* Mon Aug 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.7-4
- rebuild for ppc32
- license tag fix

* Mon Jul 23 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.7-3
- close file descriptors with FD_CLOEXEC, try to resolve bz 243509

* Wed May 23 2007 Christopher Aillon <caillon@redhat.com> 0.5.7-2
- Rebuild against newer libiw.so

* Tue Apr 10 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.7-1
- 0.5.7

* Thu Jan 18 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.6-1
- bump to 0.5.6

* Mon Sep 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.5-4
- fix bz 205886

* Mon Sep  4 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.5-3
- add BR: gettext

* Mon Sep  4 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.5-2
- fix BR: wireless-tools-devel for fc6+

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.5-1
- bump to 0.5.5

* Sat Sep 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.4a-3
- use .desktop file as SOURCE3 rather than screwing around with dos2unix

* Sat Sep 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.4a-2
- add BR: wireless-tools

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.4a-1
- initial package for Fedora Extras
